Skip to main content
POST
Finish Passkey Enrollment

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

id
string
required

Caller's own User ID.

Example:

"00000000-0000-0000-0000-000000000000"

Body

application/json

The enrollment token and the credential the browser created.

credential
any
required

The PublicKeyCredential navigator.credentials.create returned, serialized as JSON (PublicKeyCredential.toJSON()).

enrollmentToken
string
required

The enrollmentToken POST /v1/users/{id}/passkeys/begin answered.

Example:

"Zm9vYmFyLWVucm9sbG1lbnQtdG9rZW4tZXhhbXBsZQ"

Response

OK

registered
boolean
required

True when the passkey was added.

Example:

true